Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc

# Class SQLServerConnectionPoolDataSource

java.lang.Object
com.microsoft.sqlserver.jdbc.SQLServerDataSource
com.microsoft.sqlserver.jdbc.SQLServerConnectionPoolDataSource

All Implemented Interfaces:
  `ISQLServerDataSource`, `Serializable`, `Wrapper`, `Referenceable`, `CommonDataSource`, `ConnectionPoolDataSource`, `DataSource`

Direct Known Subclasses:
  `SQLServerXADataSource`

public class SQLServerConnectionPoolDataSource extends SQLServerDataSource implements ConnectionPoolDataSource
Provides physical database connections for connection pool managers. SQLServerConnectionPoolDataSource is typically used in Java Application Server environments that support built-in connection pooling and require a ConnectionPoolDataSource to provide physical connections. For example, J2EE application servers that provide JDBC 3.0 API spec connection pooling.

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SQLServerConnectionPoolDataSource()`

## Method Summary

Modifier and Type
Method
Description
`PooledConnection`
`getPooledConnection()`
`PooledConnection`
`getPooledConnection​(String user, String password)`
`Reference`
`getReference()`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerDataSource

`getAADSecurePrincipalId, getAADSecurePrincipalSecret, getAccessToken, getApplicationIntent, getApplicationName, getAuthentication, getCancelQueryTimeout, getClientCertificate, getClientKey, getColumnEncryptionSetting, getConnection, getConnection, getConnectRetryCount, getConnectRetryInterval, getDatabaseName, getDelayLoadingLobs, getDescription, getDisableStatementPooling, getDomain, getEnablePrepareOnFirstPreparedStatementCall, getEnclaveAttestationProtocol, getEnclaveAttestationUrl, getEncrypt, getFailoverPartner, getFIPS, getGSSCredentials, getHostNameInCertificate, getInstanceName, getJASSConfigurationName, getKeyStoreAuthentication, getKeyStoreLocation, getKeyStorePrincipalId, getKeyVaultProviderClientId, getLastUpdateCount, getLockTimeout, getLoginTimeout, getLogWriter, getMaxResultBuffer, getMSIClientId, getMultiSubnetFailover, getPacketSize, getParentLogger, getPortNumber, getQueryTimeout, getRealm, getReplication, getResponseBuffering, getSelectMethod, getSendStringParametersAsUnicode, getSendTemporalDataTypesAsStringForBulkCopy, getSendTimeAsDatetime, getServerName, getServerNameAsACE, getServerPreparedStatementDiscardThreshold, getServerSpn, getSocketFactoryClass, getSocketFactoryConstructorArg, getSocketTimeout, getSSLProtocol, getStatementPoolingCacheSize, getTransparentNetworkIPResolution, getTrustManagerClass, getTrustManagerConstructorArg, getTrustServerCertificate, getTrustStore, getTrustStoreType, getURL, getUseBulkCopyForBatchInsert, getUseFmtOnly, getUser, getWorkstationID, getXopenStates, isWrapperFor, setAADSecurePrincipalId, setAADSecurePrincipalSecret, setAccessToken, setApplicationIntent, setApplicationName, setAuthentication, setAuthenticationScheme, setCancelQueryTimeout, setClientCertificate, setClientKey, setClientKeyPassword, setColumnEncryptionSetting, setConnectRetryCount, setConnectRetryInterval, setDatabaseName, setDelayLoadingLobs, setDescription, setDisableStatementPooling, setDomain, setEnablePrepareOnFirstPreparedStatementCall, setEnclaveAttestationProtocol, setEnclaveAttestationUrl, setEncrypt, setFailoverPartner, setFIPS, setGSSCredentials, setHostNameInCertificate, setInstanceName, setIntegratedSecurity, setJASSConfigurationName, setKeyStoreAuthentication, setKeyStoreLocation, setKeyStorePrincipalId, setKeyStoreSecret, setKeyVaultProviderClientId, setKeyVaultProviderClientKey, setLastUpdateCount, setLockTimeout, setLoginTimeout, setLogWriter, setMaxResultBuffer, setMSIClientId, setMultiSubnetFailover, setPacketSize, setPassword, setPortNumber, setQueryTimeout, setRealm, setReplication, setResponseBuffering, setSelectMethod, setSendStringParametersAsUnicode, setSendTemporalDataTypesAsStringForBulkCopy, setSendTimeAsDatetime, setServerName, setServerNameAsACE, setServerPreparedStatementDiscardThreshold, setServerSpn, setSocketFactoryClass, setSocketFactoryConstructorArg, setSocketTimeout, setSSLProtocol, setStatementPoolingCacheSize, setTransparentNetworkIPResolution, setTrustManagerClass, setTrustManagerConstructorArg, setTrustServerCertificate, setTrustStore, setTrustStorePassword, setTrustStoreType, setURL, setUseBulkCopyForBatchInsert, setUseFmtOnly, setUser, setWorkstationID, setXopenStates, toString, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder, getParentLogger`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`createPooledConnectionBuilder, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

## Constructor Details

### SQLServerConnectionPoolDataSource

public SQLServerConnectionPoolDataSource()

## Method Details

### getPooledConnection

public PooledConnection getPooledConnection() throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getPooledConnection

public PooledConnection getPooledConnection​(String user, String password) throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getReference

public Reference getReference()

Specified by:
  `getReference` in interface `Referenceable`
Overrides:
  `getReference` in class `SQLServerDataSource`